org.apache.pdfbox.pdmodel.interactive.viewerpreferences

## Class PDViewerPreferences

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.viewerpreferences.PDViewerPreferences

All Implemented Interfaces:
  COSObjectable

    public class PDViewerPreferences
    extends Object
    implements COSObjectable

This is the document viewing preferences.

Author:
  Ben Litchfield

### Nested Class Summary

Nested Classes
`static class` `PDViewerPreferences.BOUNDARY` Enumeration containing all valid values for boundaries.
`static class` `PDViewerPreferences.DUPLEX` Enumeration containing all valid values for duplex.
`static class` `PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE` Enumeration containing all valid values for NonFullScreenPageMode.
`static class` `PDViewerPreferences.PRINT_SCALING` Enumeration containing all valid values for printscaling.
`static class` `PDViewerPreferences.READING_DIRECTION` Enumeration containing all valid values for ReadingDirection.

### Constructor Summary

Constructors
Constructor and Description
`PDViewerPreferences()` Constructor.
`PDViewerPreferences(COSDictionary dic)` Constructor that is used for a preexisting dictionary.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `centerWindow()` Get the center window preference.
`boolean` `displayDocTitle()` Get the display doc title preference.
`boolean` `fitWindow()` Get the fit window preference.
`COSDictionary` `getCOSObject()` This will get the underlying dictionary that this object wraps.
`String` `getDuplex()` Get the Duplex preference.
`String` `getNonFullScreenPageMode()` Get the non full screen page mode preference.
`String` `getPrintArea()` Get the PrintArea preference.
`String` `getPrintClip()` Get the PrintClip preference.
`String` `getPrintScaling()` Get the PrintScaling preference.
`String` `getReadingDirection()` Get the reading direction preference.
`String` `getViewArea()` Get the ViewArea preference.
`String` `getViewClip()` Get the ViewClip preference.
`boolean` `hideMenubar()` Get the menubar preference.
`boolean` `hideToolbar()` Get the toolbar preference.
`boolean` `hideWindowUI()` Get the window UI preference.
`void` `setCenterWindow(boolean value)` Set the center window preference.
`void` `setDisplayDocTitle(boolean value)` Set the display doc title preference.
`void` `setDuplex(PDViewerPreferences.DUPLEX value)` Set the Duplex preference.
`void` `setFitWindow(boolean value)` Set the fit window preference.
`void` `setHideMenubar(boolean value)` Set the menubar preference.
`void` `setHideToolbar(boolean value)` Set the toolbar preference.
`void` `setHideWindowUI(boolean value)` Set the window UI preference.
`void` `setNonFullScreenPageMode(PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE value)` Set the non full screen page mode preference.
`void` `setPrintArea(PDViewerPreferences.BOUNDARY value)` Set the PrintArea preference.
`void` `setPrintClip(PDViewerPreferences.BOUNDARY value)` Set the PrintClip preference.
`void` `setPrintScaling(PDViewerPreferences.PRINT_SCALING value)` Set the PrintScaling preference.
`void` `setReadingDirection(PDViewerPreferences.READING_DIRECTION value)` Set the reading direction preference.
`void` `setViewArea(PDViewerPreferences.BOUNDARY value)` Set the ViewArea preference.
`void` `setViewClip(PDViewerPreferences.BOUNDARY value)` Set the ViewClip preference.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDViewerPreferences

    public PDViewerPreferences()

Constructor.

#### PDViewerPreferences

    public PDViewerPreferences(COSDictionary dic)

Constructor that is used for a preexisting dictionary.

Parameters:
  `dic` - The underlying dictionary.

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

This will get the underlying dictionary that this object wraps.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The underlying info dictionary.

#### hideToolbar

    public boolean hideToolbar()

Get the toolbar preference.

Returns:
  the toolbar preference.

#### setHideToolbar

    public void setHideToolbar(boolean value)

Set the toolbar preference.

Parameters:
  `value` - Set the toolbar preference.

#### hideMenubar

    public boolean hideMenubar()

Get the menubar preference.

Returns:
  the menubar preference.

#### setHideMenubar

    public void setHideMenubar(boolean value)

Set the menubar preference.

Parameters:
  `value` - Set the menubar preference.

#### hideWindowUI

    public boolean hideWindowUI()

Get the window UI preference.

Returns:
  the window UI preference.

#### setHideWindowUI

    public void setHideWindowUI(boolean value)

Set the window UI preference.

Parameters:
  `value` - Set the window UI preference.

#### fitWindow

    public boolean fitWindow()

Get the fit window preference.

Returns:
  the fit window preference.

#### setFitWindow

    public void setFitWindow(boolean value)

Set the fit window preference.

Parameters:
  `value` - Set the fit window preference.

#### centerWindow

    public boolean centerWindow()

Get the center window preference.

Returns:
  the center window preference.

#### setCenterWindow

    public void setCenterWindow(boolean value)

Set the center window preference.

Parameters:
  `value` - Set the center window preference.

#### displayDocTitle

    public boolean displayDocTitle()

Get the display doc title preference.

Returns:
  the display doc title preference.

#### setDisplayDocTitle

    public void setDisplayDocTitle(boolean value)

Set the display doc title preference.

Parameters:
  `value` - Set the display doc title preference.

#### getNonFullScreenPageMode

    public String getNonFullScreenPageMode()

Get the non full screen page mode preference.

Returns:
  the non full screen page mode preference.

#### setNonFullScreenPageMode

    public void setNonFullScreenPageMode(PDViewerPreferences.NON_FULL_SCREEN_PAGE_MODE value)

Set the non full screen page mode preference.

Parameters:
  `value` - Set the non full screen page mode preference.

#### getReadingDirection

    public String getReadingDirection()

Get the reading direction preference.

Returns:
  the reading direction preference.

#### setReadingDirection

    public void setReadingDirection(PDViewerPreferences.READING_DIRECTION value)

Set the reading direction preference.

Parameters:
  `value` - Set the reading direction preference.

#### getViewArea

    public String getViewArea()

Get the ViewArea preference. See BOUNDARY enumeration.

Returns:
  the ViewArea preference.

#### setViewArea

    public void setViewArea(PDViewerPreferences.BOUNDARY value)

Set the ViewArea preference. See BOUNDARY enumeration.

Parameters:
  `value` - Set the ViewArea preference.

#### getViewClip

    public String getViewClip()

Get the ViewClip preference. See BOUNDARY enumeration.

Returns:
  the ViewClip preference.

#### setViewClip

    public void setViewClip(PDViewerPreferences.BOUNDARY value)

Set the ViewClip preference. See BOUNDARY enumeration.

Parameters:
  `value` - Set the ViewClip preference.

#### getPrintArea

    public String getPrintArea()

Get the PrintArea preference. See BOUNDARY enumeration.

Returns:
  the PrintArea preference.

#### setPrintArea

    public void setPrintArea(PDViewerPreferences.BOUNDARY value)

Set the PrintArea preference. See BOUNDARY enumeration.

Parameters:
  `value` - Set the PrintArea preference.

#### getPrintClip

    public String getPrintClip()

Get the PrintClip preference. See BOUNDARY enumeration.

Returns:
  the PrintClip preference.

#### setPrintClip

    public void setPrintClip(PDViewerPreferences.BOUNDARY value)

Set the PrintClip preference. See BOUNDARY enumeration.

Parameters:
  `value` - Set the PrintClip preference.

#### getDuplex

    public String getDuplex()

Get the Duplex preference. See DUPLEX enumeration.

Returns:
  the Duplex preference.

#### setDuplex

    public void setDuplex(PDViewerPreferences.DUPLEX value)

Set the Duplex preference. See DUPLEX enumeration.

Parameters:
  `value` - Set the Duplex preference.

#### getPrintScaling

    public String getPrintScaling()

Get the PrintScaling preference. See PRINT_SCALING enumeration.

Returns:
  the PrintScaling preference.

#### setPrintScaling

    public void setPrintScaling(PDViewerPreferences.PRINT_SCALING value)

Set the PrintScaling preference. See PRINT_SCALING enumeration.

Parameters:
  `value` - Set the PrintScaling preference.